
    #### Scan tools ##################################################
    # https://observatory.mozilla.org/analyze.html?host=contrast-finder.com
    # https://securityheaders.io/?q=https://contrast-finder.com
    # https://cspvalidator.org/#url=https://contrast-finder.com
    # https://validator.w3.org/i18n-checker/check?uri=https://contrast-finder.com
    ##################################################################

# prevent directory listings 
Options -Indexes

# Character encoding
######################################################################################
  AddCharset UTF-8 .html
  AddCharset UTF-8 .txt
  AddCharset UTF-8 .css
# AddCharset UTF-8 .js

# Cache
######################################################################################
ExpiresByType text/html "access plus 24 hours"
ExpiresByType image/png "access plus 24 hours"


# Security
######################################################################################
   
    # Don't allow any pages to be framed - Defends against CSRF
    Header always set X-Frame-Options DENY

    # prevent mime based attacks
    Header always set X-Content-Type-Options "nosniff"

    # Turn on IE8-IE9 XSS prevention tools
    Header always set X-XSS-Protection "1; mode=block"

    # Referrer-Policy HTTP header
    Header always set Referrer-Policy "strict-origin-when-cross-origin"

    # Content-Security-Policy (CSP)
    Header set Content-Security-Policy   "default-src 'none'; img-src 'self'; style-src 'self' 'unsafe-inline'; base-uri 'self'; form-action 'none'; frame-ancestors 'none'; "

    # HTTP Strict Transport Security (HSTS)   
    Header set Strict-Transport-Security "max-age=31536000; includeSubDomains; preload"
        # ---> Only connect to this site via HTTPS for the year (needed for hstspreload.org)



# RewriteRule
######################################################################################

    # Activate the rewrite engine
    RewriteEngine On

    # Redirect HTTP to HTTPS version
    RewriteCond %{HTTPS} off
    RewriteRule (.*) https://contrast-finder.com/$1 [QSA,L,R=301] 

    # Force the use of a single domain for URLs without www
    RewriteCond %{HTTP_HOST} ^www.contrast-finder.com$ [NC]
    RewriteRule ^(.*)   https://contrast-finder.com/$1  [QSA,L,R=301]


